%global momorel 1

%define libsepolver 2.0.3
Summary: SELinux policy compiler
Name: checkpolicy
Version: 2.0.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/System
Source: http://www.nsa.gov/selinux/archives/%{name}-%{version}.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: byacc flex libsepol-devel >= %{libsepolver} libselinux-devel

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler.  
Only required for building policies. 

%prep
%setup -q

%build
make clean
make LIBDIR="%{_libdir}" CFLAGS="%{optflags}" 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make LIBDIR="%{_libdir}" DESTDIR="%{buildroot}" install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/checkpolicy
%{_bindir}/checkmodule
%{_mandir}/man8/checkpolicy.8.*
%{_mandir}/man8/checkmodule.8.*

%changelog
* Fri Jun 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.3-1m)
- update 2.0.3

* Fri May 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-1m)
- update 2.0.2

* Fri Mar  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-1m)
- update 2.0.1

* Thu Feb 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-1m)
- update 2.0.0

* Mon Dec 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.33.1-1m)
- update 1.33.1

* Thu May 11 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.30.3-1m)
- update 1.30.3

* Wed Dec 28 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.28-1m)
- sync with fc-devel

* Mon Nov 29 2004 TAKAHASHI Tamotsu <tamo>
- (1.19.1-1m)
 + * Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 1.19.1-1
 + - Latest from NSA
 + 	* Merged nodecon ordering patch from Chad Hanson of TCS.
 + 
 + * Thu Nov 4 2004 Dan Walsh <dwalsh@redhat.com> 1.18.1-1
 + - Latest from NSA
 + 	* MLS build fix.

* Sat Nov 20 2004 TAKAHASHI Tamotsu <tamo>
- (1.18-1m)
- http://www.nsa.gov/selinux/code/download5.cfm
